
locals {
  access_policies = var.access_policies
  access_policy_override_policy_documents = var.access_policy_override_policy_documents
  access_policy_source_policy_documents = var.access_policy_source_policy_documents
  access_policy_statements = var.access_policy_statements
  advanced_options = var.advanced_options
  advanced_security_options = var.advanced_security_options
  auto_tune_options = var.auto_tune_options
  cloudwatch_log_group_kms_key_id = var.cloudwatch_log_group_kms_key_id
  cloudwatch_log_group_retention_in_days = var.cloudwatch_log_group_retention_in_days
  cloudwatch_log_resource_policy_name = var.cloudwatch_log_resource_policy_name
  cluster_config = var.cluster_config
  cognito_options = var.cognito_options
  create = var.create
  create_access_policy = var.create_access_policy
  create_cloudwatch_log_groups = var.create_cloudwatch_log_groups
  create_cloudwatch_log_resource_policy = var.create_cloudwatch_log_resource_policy
  create_saml_options = var.create_saml_options
  create_security_group = var.create_security_group
  domain_endpoint_options = var.domain_endpoint_options
  domain_name = var.domain_name
  ebs_options = var.ebs_options
  enable_access_policy = var.enable_access_policy
  encrypt_at_rest = var.encrypt_at_rest
  engine_version = var.engine_version
  log_publishing_options = var.log_publishing_options
  node_to_node_encryption = var.node_to_node_encryption
  off_peak_window_options = var.off_peak_window_options
  outbound_connections = var.outbound_connections
  package_associations = var.package_associations
  saml_options = var.saml_options
  security_group_description = var.security_group_description
  security_group_name = var.security_group_name
  security_group_rules = var.security_group_rules
  security_group_tags = var.security_group_tags
  security_group_use_name_prefix = var.security_group_use_name_prefix
  software_update_options = var.software_update_options
  tags = var.tags
  vpc_endpoints = var.vpc_endpoints
  vpc_options = var.vpc_options
}
